<?php

/**
	 * This is a forked library modified for use in Formea extension,
	 * Credit goes to original author(s) Eduardo Gulias Davis at https://github.com/egulias/EmailValidator.
	 * See LICENSE
	 *
	 * @version     1.0.0
	 * @package     Formea Email Validation
	 * @subpackage  Lexer
	 * @author      Feseur Sdn Bhd
	 * @copyright   Copyright (C) 2010-2023 Feseur Sdn Bhd. All rights reserved.
	 * @license     GNU General Public License version 2 or later; see LICENSE.txt
	 */

	namespace Egulias\EmailValidator\Validation;

	class DNSRecords
	{

		/**
		 * @var array $records
		 */
		private $records = [];

		/**
		 * @var bool $error
		 */
		private $error = false;

		public function __construct(array $records, bool $error = false)
		{
			$this->records = $records;
			$this->error   = $error;
		}

		public function getRecords(): array
		{
			return $this->records;
		}

		public function withError(): bool
		{
			return $this->error;
		}


	}
